-- ===================================================
-- Constants
-- ===================================================

local ADDON_NAME, Mocksamdi = ...;

local SLASH_REG = "MOCKSAMDI";
local SLASH_CMD1 = "/msa";
local SLASH_CMD2 = "/mocksamdi";

-- ===================================================
-- Local Functions
-- ===================================================

-- slash commands
local commands = function (msg, editbox)
	Mocksamdi:printDebug("Slash command fired");

	InterfaceOptionsFrame_Show();
	InterfaceOptionsFrame_OpenToCategory(ADDON_NAME);
	InterfaceOptionsFrame_OpenToCategory(ADDON_NAME); -- handle open bug by firing twice
end

-- ===================================================
-- Slash Commands
-- ===================================================

SLASH_MOCKSAMDI1, SLASH_MOCKSAMDI2 = SLASH_CMD1, SLASH_CMD2;
SlashCmdList[SLASH_REG] = commands;
